<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Namespace Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all namespace members with links to the namespace documentation for each member:</div>

<h3><a id="index_f"></a>- f -</h3><ul>
<li>FAIL_TIMEOUT
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a420e9d92eeb2deac46293a81d0113d3c">alexaClientSDK::capabilityAgents::audioPlayer::test</a>
</li>
<li>FAILURE_TIMEOUT
: <a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#acdd542e18e6d455f0769cb0b78ab48ad">alexaClientSDK::contextManager::test</a>
</li>
<li>FASTFORWARD_DIRECTIVE
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#aa4b18de015d30ba92642ea80933bfcf3">alexaClientSDK::capabilityAgents::externalMediaPlayer</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test.html#a80e9235b0acb3ba8ce09f903dd995441">alexaClientSDK::capabilityAgents::externalMediaPlayer::test</a>
</li>
<li>FAVORITE
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#ae93a2f0d738b3acd4bb2617781b5c6e1">alexaClientSDK::avsCommon::avs::externalMediaPlayer</a>
</li>
<li>FAVORITE_DIRECTIVE
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a1e45f73b20791d3596723a31165d4d5b">alexaClientSDK::capabilityAgents::externalMediaPlayer</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test.html#ae1abacef229ece4766d7be4edf3ebd8a">alexaClientSDK::capabilityAgents::externalMediaPlayer::test</a>
</li>
<li>Favorites
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a76ef4764dfc52eba79cf6345853b77a6">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer</a>
</li>
<li>FAVORITESCONTROLLER_CAPABILITY_INTERFACE_NAME
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a63a4ef9d29b0e9d55b2bfff000e4334c">alexaClientSDK::capabilityAgents::externalMediaPlayer</a>
</li>
<li>FAVORITESCONTROLLER_CAPABILITY_INTERFACE_VERSION
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a285050742926aa87fe57a9c3581ceb3a">alexaClientSDK::capabilityAgents::externalMediaPlayer</a>
</li>
<li>FAVORITESCONTROLLER_NAMESPACE
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a382367357d4a5f1b070b1eec520a43e9">alexaClientSDK::capabilityAgents::externalMediaPlayer</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test.html#ac9bf85cd0c7c61b66c296272384d21ab">alexaClientSDK::capabilityAgents::externalMediaPlayer::test</a>
</li>
<li>FILE_EXISTS_ERROR
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test.html#ac1a181de3539577bdd07a6ab65911293">alexaClientSDK::capabilityAgents::bluetooth::test</a>
</li>
<li>FILE_PREFIX()
: <a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ae312c3c1646a532947f99d1cf970ca6a">alexaClientSDK::mediaPlayer::test</a>
</li>
<li>fileExistError
: <a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1storage_1_1test.html#a4fcdf363725bd1937d705550c44e417e">alexaClientSDK::settings::storage::test</a>
</li>
<li>fileExists()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1file.html#a412c332e5ef9979df6824908d6eca757">alexaClientSDK::avsCommon::utils::file</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test.html#a43b4cb73e2d6ca6e53616651a06074b1">alexaClientSDK::capabilityAgents::bluetooth::test</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1storage_1_1test.html#af9056eb77f7eb7fea23d2328c23d2652">alexaClientSDK::settings::storage::test</a>
</li>
<li>findNode()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1json_utils.html#a5fbef19f32e81db50d918cc3c2b5bcda">alexaClientSDK::avsCommon::utils::json::jsonUtils</a>
</li>
<li>FINISHED_STATE()
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a69c1a136f9f7e9640ade2056843022bc">alexaClientSDK::capabilityAgents::audioPlayer::test</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a3c7a8ba186995f3e5d4475e6dca4d881">alexaClientSDK::capabilityAgents::speechSynthesizer::test</a>
</li>
<li>FINISHED_STATE_TEST
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a931fdd8845b7feb0d59a0e1766199eeb">alexaClientSDK::capabilityAgents::speechSynthesizer::test</a>
</li>
<li>FIRMWARE_CONTROL_MESSAGE
: <a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a5d9365e7e4dad59d69cec8ac6ffe392e">alexaClientSDK::sampleApp</a>
</li>
<li>FIRMWARE_VERSION
: <a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a6b03301e1f836b194d802b06a01b9b03">alexaClientSDK::sampleApp</a>
</li>
<li>FIRMWARE_VERSION_KEY()
: <a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a2a46c0a2ebdb29c80f5e4c50778de3e5">alexaClientSDK::sampleApp</a>
</li>
<li>FIRMWARE_VERSION_STRING
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1system.html#ac0c32e41b79622a63b46736c10aca580">alexaClientSDK::capabilityAgents::system</a>
</li>
<li>FirmwareVersion
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1software_info.html#af7c2b6a74bbdcaa7ff513eb8586ad0a8">alexaClientSDK::avsCommon::sdkInterfaces::softwareInfo</a>
</li>
<li>FIRST_ALLOCATION_METHOD
: <a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a4c2a95354424b45c34293efae4fa4bc9">alexaClientSDK::bluetoothImplementations::blueZ</a>
</li>
<li>FIRST_BLOCK_LENGTH
: <a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a17bed6aa00cacab460918e8c969e7eac">alexaClientSDK::bluetoothImplementations::blueZ</a>
</li>
<li>FIRST_CHANNEL_MODE
: <a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a13af0d841670cbfc02ac72327e1b4bd8">alexaClientSDK::bluetoothImplementations::blueZ</a>
</li>
<li>FIRST_FIRMWARE_VERSION
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1system_1_1test.html#a367013b892ef0a8f67b4878fd6d40e43">alexaClientSDK::capabilityAgents::system::test</a>
</li>
<li>FIRST_FREQUENCY
: <a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a9206e1d2589cc40e048ae8da8a5aef2f">alexaClientSDK::bluetoothImplementations::blueZ</a>
</li>
<li>FIRST_JSON
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#ac8c19db8451dce71c885090bcec28120">alexaClientSDK::avsCommon::utils::configuration::test</a>
</li>
<li>FIRST_SUBBANDS
: <a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a141dfc32c7c40b389f4f93fb7c0de1e0">alexaClientSDK::bluetoothImplementations::blueZ</a>
</li>
<li>FNULL
: <a class="el" href="namespaceandroid__test.html#a7482a272adcfff3ef375989ab72f192f">android_test</a>
</li>
<li>FOCUSED_KEY
: <a class="el" href="namespacealexa_client_s_d_k_1_1afml.html#ad397264829978f9f0ced6be5f03b2652">alexaClientSDK::afml</a>
</li>
<li>FocusState
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">alexaClientSDK::avsCommon::avs</a>
</li>
<li>focusStateToString()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a493f26dcecd6ef0d5cdfece9da6344a1">alexaClientSDK::avsCommon::avs</a>
</li>
<li>FORMAT
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer.html#ae9aae87aac39b0b82afb393767d01243">alexaClientSDK::capabilityAgents::speechSynthesizer</a>
</li>
<li>FORMAT_KEY
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a75e0e68b050058b87d12bb7cd0b07d1c">alexaClientSDK::capabilityAgents::aip</a>
</li>
<li>FORMAT_TEST()
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#add0c8e567f6cf19280edc3360d075559">alexaClientSDK::capabilityAgents::audioPlayer::test</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#ab35ceb58258872f3a64cec4ad58486eb">alexaClientSDK::capabilityAgents::speechSynthesizer::test</a>
</li>
<li>forwardPromise()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading.html#a0368b9c4b670a2142fb53bba9467e879">alexaClientSDK::avsCommon::utils::threading</a>
</li>
<li>forwardPromise&lt; void &gt;()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading.html#acd6b9f3c48858b2421f29d70b5f7f278">alexaClientSDK::avsCommon::utils::threading</a>
</li>
<li>FOUR_ALEXAS_AUDIO_FILE
: <a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#abca096b7665de28e4dc2916dd8c74ce7">alexaClientSDK::kwd::test</a>
</li>
<li>FRAME_LENGTH
: <a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#ae9ba25b83ad115d04d4c8bd91479ee9f">alexaClientSDK::speechencoder</a>
</li>
<li>FRAME_SIZE
: <a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#aee722a0bdc5db5592bf73348339e0c47">alexaClientSDK::speechencoder</a>
</li>
<li>FRAME_WORDSIZE
: <a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder_1_1test.html#a5e67a027818217cfedecbb87ebe5620b">alexaClientSDK::speechencoder::test</a>
</li>
<li>FRIENDLY_NAME_KEY
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#ad14a1d3076e0d25f0e4d7b2bbebcd758">alexaClientSDK::capabilityAgents::bluetooth</a>
</li>
<li>fromSettingString()
: <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#aab3bdf1a11757adc249480d87bd5d349">alexaClientSDK::settings</a>
</li>
<li>FULL_DOWNCHANNEL_URL
: <a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#acb6e2d9dd1086d3fa4ec7ab78175d32b">alexaClientSDK::acl::transport::test</a>
</li>
<li>FULL_PING_URL
: <a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#aca33a83aa9d17dea6393492d8df5bdb6">alexaClientSDK::acl::transport::test</a>
</li>
<li>FUTURE_INSTANT_SUFFIX
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test.html#aa4bce656d44e97af852a3da273cdc13b">alexaClientSDK::capabilityAgents::alerts::test</a>
</li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
